package it.unitn.disi.ronchet.webChat.businessObjects;

import java.util.TreeSet;

/**
 * MessageList è un insieme di messaggi, disposti in ordine di creazione
 * Ha un metodo che restituisce l'intera lista formattata in HTML.
 * @author ronchet
 */
public class MessageList extends TreeSet<Message> {
    //constants
    final String PRE="<li><span class='author'>";
    final String MID1="</span> : <span class='messageTxt'>";
    final String MID2="</span> (<span class='date'>";
    final String POST="</date>)</li>";
    public String getFormattedMessageList(){
        String s="<p>Non ci sono ancora messaggi</p>";
        if (! this.isEmpty()){
        s="<ol>";
        for (Message m:this){
           s=s+PRE+m.author+MID1+m.message+MID2+m.date.toString()+POST;
        }
        s=s+"</ol>";
        }
        return s;
    }
}
