package it.unitn.disi.ronchet.webChat.servlets;

import it.unitn.disi.ronchet.webChat.businessObjects.Room;
import it.unitn.disi.ronchet.webChat.businessObjects.RoomMap;
import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author ronchet
 */
public class ShowStanzaServlet extends HttpServlet {
    final String pre="<a href=F_ShowStanzaServlet?stanzaName=";
    final String mid="\">";
    final String post="</a><br>";
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        Room aRoom=(Room)request.getAttribute("stanza");
        if (aRoom==null) {
            String stanzaName=request.getParameter("stanzaName");
            System.out.println("ShowStanzaServlet - stanzaName:"+stanzaName);
            ServletContext ctx=request.getServletContext();
            RoomMap roomMap=(RoomMap)ctx.getAttribute("roomMap");
            aRoom=roomMap.get(stanzaName);
        }
        System.out.println("ShowStanzaServlet - aRoom:"+aRoom);
        request.setAttribute("stanza", aRoom);
        request.setAttribute("messaggi", aRoom.getFormattedMessageList());
        RequestDispatcher rd=request.getRequestDispatcher("showStanza.jsp");
        rd.forward(request, response);
    }
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        doGet(request,response);
    }
}
