package it.unitn.disi.ronchet.webChat.businessObjects;

import java.util.Date;
/**
 * Un Message contiene il nome dell'autore, il testo e la data di creazione
 * @author ronchet
 */
public class Message implements Comparable<Message>{
    private static int maxSeqNumber=0;
    int seqNumber;
    Date date;
    String author;
    String message;
    public Message(String author,String message) {
        date=new Date();
        seqNumber=++maxSeqNumber;
        this.author=author;
        this.message=message;
    }
    // l'aggiunta di questo metodo permette di aggingere messaggi a un Set ordinato
    @Override
    public int compareTo(Message o) {
        return seqNumber-o.seqNumber;
    }
}
