/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package it.unitn.disi.ronchet.webChat.servlets;

import it.unitn.disi.ronchet.webChat.businessObjects.Room;
import it.unitn.disi.ronchet.webChat.businessObjects.RoomMap;
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author ronchet
 */
public class AddMessageServlet extends HttpServlet {

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        ServletContext ctx=request.getServletContext();
        String roomTitle=request.getParameter("roomTitle");
        System.out.println("AddMessageServlet -roomTitle :"+roomTitle);        
        String user=(String)(request.getSession().getAttribute("username"));
        String messageText=request.getParameter("messageText");
        RoomMap roomMap=(RoomMap)ctx.getAttribute("roomMap");
        Room aRoom=roomMap.get(roomTitle);
        aRoom.addMessage(user, messageText);
        request.setAttribute("stanza", aRoom);
        System.out.println("AddMessageServlet -user :"+user);
        System.out.println("AddMessageServlet -messageText :"+messageText);
        RequestDispatcher rd=request.getRequestDispatcher("F_ShowStanzaServlet");
        rd.forward(request, response);
    }

}
