package it.unitn.disi.ronchet.webChat.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author ronchet
 */
public class ValidateServlet extends HttpServlet {
    final static Map<String,String> users=new HashMap<>();
    @Override
    public void init(){
        users.put("user1", "pw1");
        users.put("user2", "pw2");
        users.put("admin", "admin");
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        RequestDispatcher rd;
        String username=request.getParameter("username");
        String password=request.getParameter("password");
        if (validate(username,password)){
            request.getSession().setAttribute("username", username);
            rd=request.getRequestDispatcher("userPage.jsp");
            rd.forward(request, response);
        }
        rd=request.getRequestDispatcher("login.jsp");
        request.setAttribute("message","Credenziali non valide - riprova");
        rd.forward(request, response);
    }
    // questo e' un singolo punto di accesso ai dati, sostanzialmente
    // equivalente a un DAO. Se vogliamo introdurre un DB, basta cambiare
    // solo l'implementazione di questa funzione.
    private boolean validate(String username, String password) {
        return (users.get(username).equals(password));
    }

}
